Description

The "new host" Ul does not have a blank location choice. Because of this, every resource needed must also be associated with a
resource or it is not available for choosing in the form.

History

#1 - 03/30/2014 05:36 AM - Ohad Levy
- Status changed from New to Feedback

- Priority changed from High to Normal

Two points:
If you don't want to manage locations then locations support should be turned off.

Second how did you get to that state? Once you don't have a location then it will ask you to create one. The only time this might happen is when you
are in an org context that has no locations? And not in a location context?

IMHO the solution is to create a location

#2 - 03/30/2014 01:35 PM - Thomas McKay

- Status changed from Feedback to New

This is foretello: Orgs & locations are enabled. On first login | created a location, cleverly named "location."

The source of the issue, | believe, is that the "new host" Ul location dropdown does not have a blank entry. This means every new host must belong
to a location, which then means all resources that are referenced by this host must also be in a location.

This behavior is, | believe, incorrect and a new host need not be required to belong to a location. Correct?

| set priority as "high" since it impacts new user experience greatly when first host created cannot find any of the resources set up previously during
the tutorial.

#3 - 03/30/2014 01:44 PM - Ohad Levy

Once the location attribute is enabled, new managed host should have a location (otherwise why turn on the feature?).

maybe all we need is something like https:/github.com/theforeman/foreman/pull/13367?

#4 - 03/31/2014 07:21 AM - Dominic Cleal
- Category changed from Web Interface to Organizations and Locations

- Status changed from New to Feedback

#5 - 04/14/2014 10:34 PM - Thomas McKay

- Status changed from Feedback to New

Several locations were created. The problem is that there is not a way to select a "blank" location. This makes the location for a new host, when
https://github.com/theforeman/foreman/pull/1336

locations are enabled, as required.

#6 - 05/28/2014 08:04 PM - Thomas McKay
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1102354

#7 - 06/30/2014 08:46 AM - Ohad Levy

- Status changed from New to Rejected

if locations are enabled, a user is expected to select one, this is by design, hence closing.. thank you!
